@import '~bootstrap/scss/mixins/breakpoints';
@import '~@nebular/theme/styles/global/breakpoints';
@import '../../styles/themes';

@include nb-install-component() {
  display: flex;
  justify-content: space-between;
  width: 100%;

  .logo-container {
    display: flex;
    align-items: center;
    width: calc(#{nb-theme(sidebar-width)} - #{nb-theme(header-padding)});
  }

  nb-action {
    height: auto;
    display: flex;
    align-content: center;
  }

  nb-user {
    cursor: pointer;
  }

  ::ng-deep nb-search button {
    padding: 0!important;
  }

  .header-container {
    display: flex;
    align-items: center;
    width: auto;

    .sidebar-toggle {
      @include nb-ltr(padding-right, 1.25rem);
      @include nb-rtl(padding-left, 1.25rem);
      text-decoration: none;
      color: nb-theme(text-hint-color);
      nb-icon {
        font-size: 1.75rem;
      }
    }

    .logo {
      padding: 0 1.25rem;
      font-size: 1.75rem;
      @include nb-ltr(border-left, 1px solid nb-theme(divider-color));
      @include nb-rtl(border-right, 1px solid nb-theme(divider-color));
      white-space: nowrap;
      text-decoration: none;
    }
  }

  @include media-breakpoint-down(sm) {
    .control-item {
      display: none;
    }
    .user-action {
      border: none;
      padding: 0;
    }
  }

  @include media-breakpoint-down(is) {
    nb-select {
      display: none;
    }
  }
}

select {
  padding:3px;
  margin: 0;
  -webkit-border-radius:4px;
  -moz-border-radius:4px;
  border-radius:4px;
  -webkit-box-shadow: 0 3px 0 #ccc, 0 -1px #fff inset;
  -moz-box-shadow: 0 3px 0 #ccc, 0 -1px #fff inset;
  box-shadow: 0 3px 0 #ccc, 0 -1px #fff inset;
  
}